Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: gpsd

Interfaces

### Description:

gpsd monitor daemon.

### Interfaces:

gpsd_admin( domain , role )

##### Summary

All of the rules required to administrate an gpsd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

gpsd_domtrans( domain )

##### Summary

Execute a domain transition to run gpsd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

gpsd_run( domain , role )

##### Summary

Execute gpsd in the gpsd domain, and allow the specified role the gpsd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

gpsd_rw_shm( domain )

##### Summary

Read and write gpsd shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return